### Function

# Gimp context_set_paint_method

#### Declaration [src]

    gboolean
    gimp_context_set_paint_method (
      const gchar* name
    )

#### Description [src]

Set the specified paint method as the active paint method.

This procedure allows the active paint method to be set by specifying its name. The name is simply a string which corresponds to one of the names of the available paint methods. If there is no matching method found, this procedure will return an error. Otherwise, the specified method becomes active and will be used in all subsequent paint operations.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The name of the paint method.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.